package de.tud.kom.p2psim.impl.topology.movement.vehicular.sumo.simulation.controller;

import java.util.List;

import de.tud.kom.p2psim.impl.topology.movement.vehicular.information.Position;

public interface VehicleController {
    void setObservedArea(double pStartX, double pStartY, double pEndX, double pEndY);

    Position getVehiclePosition(String pVehicleID);
    Position getVehiclePosition(double pStep, String pVehicleID);

    boolean nextStep();

    List<String> getAllVehicles();
    List<String> getAllVehicles(double pStep);

    double getMaximumAvailablePrediction();

    double getStep();
    double getStart();

    void init();

}
